Skip to content

Given a job_id for a merge records job, retrieve the job status.

Before submitting this request:

  • You must have previously requested a record merge job.
  • You must have a valid job_id field value returned from the record merge operation.
GET/api/{version}/vobjects/merges/{job_id}/status
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
{job_id}The job_id field value returned from the merge operation. You can start merge operations with the Initiate Record Merge API request or with the Vault Java SDK.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v24.1/vobjects/merges/863301/status
{ "responseStatus": "SUCCESS", "data": { "status": "IN_PROGRESS" } }

On SUCCESS, the merge job may have one of the following statuses:

  • IN_PROGRESS: The job is currently running
  • SUCCESS: The job completed with no errors; all records were merged
  • FAILURE: The job completed with errors; one or more records were not merged